; ==========================================
; Target file
; ==========================================

#include "../build/target.tgt"

; ==========================================
; General TI-83 Plus
; ==========================================

#define	bcall(label) rst 28h \ .dw label
#define bjump(label) call 50h \ .dw label
#define errhandon(label) ld hl,label \ call 59h
#define errhandoff() call 5Ch

.org $9D93
.db $BB,$6D
.nolist
#define EQU .equ
#include "../includes/ti83plus.inc"
.list

; ==========================================
; TI-83 Plus Ion
; ==========================================

#ifdef TI83PI
	ret
	jr nc,init_all
#include "../includes/ion8X.inc"
#endif

; ==========================================
; TI-83 Plus MirageOS
; ==========================================

#ifdef TI83PM
	ret
.db 1
#include "../resources/icon.inc"
#include "../includes/mirage.inc"
#endif